#ifndef __PROPERTY_LIST_WINDOW_H__
#define __PROPERTY_LIST_WINDOW_H__

#include <QWidget>
#include <QStackedWidget>
#include <QLabel>
#include <QListWidget>
#include <QPushButton>

QT_BEGIN_NAMESPACE
namespace Ui { class PropertyListWindow; }
QT_END_NAMESPACE


class ProperyListWidget;

class PropertyListWindow : public QWidget
{
    Q_OBJECT
public:
    explicit PropertyListWindow(QWidget *parent = nullptr);
    ~PropertyListWindow();
    QStackedWidget *getStackedWidget();
    ProperyListWidget *getListWidget(int index = 0);
    QLabel *getNameLabel();
    QPushButton *getAcceptButton();

signals:
    void saveRequest();
    void closeRequest();

private:
    Ui::PropertyListWindow *ui;
};

class ProperyListWidget : public QListWidget
{
    Q_OBJECT
public:
    ProperyListWidget(QWidget *parent = nullptr);
};

#endif // __PROPERTY_LIST_WINDOW_H__